X2Go Bug report logs - #301
Execute commands given as arguments

version graph

Package: x2gothinclient; Maintainer for x2gothinclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gothinclient is src:x2gothinclient.

Reported by: Arnold Krille <a.krille@b-c-s.de>

Date: Thu, 5 Sep 2013 09:03:02 UTC

Severity: normal

Tags: pending

Fixed in version 1.1.0.0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#301; Package x2gothinclient. (Thu, 05 Sep 2013 09:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Arnold Krille <a.krille@b-c-s.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 05 Sep 2013 09:03:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Arnold Krille <a.krille@b-c-s.de>
To: submit@bugs.x2go.org
Cc: Arnold Krille <a.krille@b-c-s.de>
Subject: Execute commands given as arguments
Date: Thu, 5 Sep 2013 10:51:01 +0200
Package: x2gothinclient

When automatically setting up the TCE via scripts, there is the need to execute
arbitrary commands inside the TCE, extend x2gothinclient_shell to run anything
given as arguments and fall back to $TC_SHELL when nothing is given.
---
 x2gothinclientmanagement/sbin/x2gothinclient_shell |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_shell b/x2gothinclientmanagement/sbin/x2gothinclient_shell
index 42f4f5d..ba4ec21 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_shell
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_shell
@@ -82,7 +82,7 @@ export X2GO_HANDLE_DAEMONS=false
 
 mount /root
 
-/bin/$TC_SHELL
+${*:-/bin/$TC_SHELL}
 
 umount /root
 
-- 
1.7.9.5


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#301; Package x2gothinclient. (Wed, 11 Sep 2013 20:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 11 Sep 2013 20:03:01 GMT) (full text, mbox, link).


Message #10 received at 301@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 301-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 301@bugs.x2go.org
Subject: X2Go issue (in src:x2gothinclient) has been marked as pending for release
Date: Wed, 11 Sep 2013 21:48:03 +0200 (CEST)
tag #301 pending
fixed #301 1.1.0.0
thanks

Hello,

X2Go issue #301 (src:x2gothinclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gothinclient.git;a=commitdiff;h=b8774a3

The issue will most likely be fixed in src:x2gothinclient (1.1.0.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit b8774a3a8f2af738b53bb62f26466a931e983217
Author: Arnold Krille <a.krille@b-c-s.de>
Date:   Wed Sep 11 21:44:07 2013 +0200

    Extend x2gothinclient_shell to run anything given as arguments and fall back to $TC_SHELL when nothing is given. (Fixes: #301).

diff --git a/debian/changelog b/debian/changelog
index 1671e22..0d09f7b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,9 +1,15 @@
 x2gothinclient (1.1.0.0-0~x2go2) UNRELEASED; urgency=low
 
+  [ Mike Gabriel ]
   * New upstream version (1.1.0.1):
     - Switch to VT-7 on TC shutdown.
     - Syntax fix in x2gousbmount script.
 
+  [ Arnold Krille ]
+  * New upstream version (1.1.0.1):
+    - Extend x2gothinclient_shell to run anything given as arguments and
+      fall back to $TC_SHELL when nothing is given. (Fixes: #301).
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 17 Aug 2013 00:35:31 +0200
 
 x2gothinclient (1.1.0.0-0~x2go1) unstable; urgency=low


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 11 Sep 2013 20:03:02 GMT) (full text, mbox, link).


Marked as fixed in versions 1.1.0.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 11 Sep 2013 20:03:02 GMT) (full text, mbox, link).


Message sent on to Arnold Krille <a.krille@b-c-s.de>:
Bug#301. (Wed, 11 Sep 2013 20:03:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#301; Package x2gothinclient. (Fri, 22 Nov 2013 23:03:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 22 Nov 2013 23:03:03 GMT) (full text, mbox, link).


Message #22 received at 301@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 301-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 301@bugs.x2go.org
Subject: X2Go issue (in src:x2gothinclient) has been marked as closed
Date: Fri, 22 Nov 2013 23:53:28 +0100 (CET)
close #301
thanks

Hello,

we are very hopeful that X2Go issue #301 reported by you
has been resolved in the new release (1.1.0.1) of the
X2Go source project »src:x2gothinclient«.

You can view the complete changelog entry of src:x2gothinclient (1.1.0.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gothinclient.

    http://code.x2go.org/gitweb?p=x2gothinclient.git;a=commitdiff;h=9aebcecfe34cc01dc9adf1e3917f6ce902999ad8;hp=37470492cb86f3dd411f468c4a333840795776f3

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gothinclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gothinclient
Version: 1.1.0.1
Status: RELEASE
Date: Fri, 22 Nov 2013 23:51:33 +0100
Fixes: 300 301
Changes: 
 x2gothinclient (1.1.0.1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream version (1.1.0.1):
     - Switch to VT-7 on TC shutdown.
     - Syntax fix in x2gousbmount script.
     - Make ~x2gothinclient rw-able on TCE machines. Thanks to Peter
       Schneider for pointing at this.
     - Remove chroot bootstrap cruft when finished with creating the
       TCE chroot.
     - Deactivate serial line terminals on X2Go thinclients.
     - Install TCE dependencies via meta-package x2gothinclient-chroot.
     - Move init scripts from debian/ folder into upstream folders.
     - Provide x2gothinclient-chroot.init script that tweaks the chroot
       during thin client startup.
     - Patch /etc/init.d/checkroot-bootclean.sh during TCE creation to
       avoid failures when clean tmp files on the read-only NFS root-fs.
     - Work around Debian bug #729373 during TCE creation. Replace alsa-utils
       init script and ALSA's utils.sh (for Debian wheezy+jessie chroots).
     - Refrain from using "~<user>" when launching X2Go Client as it cannot
       handle it, yet. Use "~" instead (handable by X2Go Client >= 4.0.1.2).
     - Tweak the /etc/os-release more comprehensively.
     - Update initramfs at the very end of the TCE creation.
     - Do not over-mount /run as tmpfs. This is already done by the Debian
       boot process.
     - Monitor mounted USB devices via ~x2gothinclient/mounts (and not via
       deprecated location /var/run).
     - Add TC_NONINTERACTIVE (commented out) to x2gothinclient_settings config
       file.
     - Add syslog support to x2gousbmount.
     - Install radeon and i915 kms/drm module into initrd image for Debian
       (>= 7).
   * debian/control:
     + New bin:package x2gothinclient-chroot.
     + Make sure x2gothinclient-chroot pulls in editing tools like
       mc, vim, less via Recommends: field.
     + Depend on x2goclient (>= 4.0.1.2-0~).
     + Suggest some helpful firmware packages (also from non-free) in bin:package
       x2gothinclient-chroot.
 .
   [ Arnold Krille ]
   * New upstream version (1.1.0.1):
     - Extend x2gothinclient_shell to run anything given as arguments and
       fall back to $TC_SHELL when nothing is given. (Fixes: #301).
     - Allow non-interactive execution of x2gothinclient_create. (Fixes:
       #300).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 22 Nov 2013 23:03:04 GMT) (full text, mbox, link).


Notification sent to Arnold Krille <a.krille@b-c-s.de>:
Bug acknowledged by developer. (Fri, 22 Nov 2013 23:03:04 GMT) (full text, mbox, link).


Message sent on to Arnold Krille <a.krille@b-c-s.de>:
Bug#301. (Fri, 22 Nov 2013 23:03:05 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 21 Dec 2013 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 6 08:58:41 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.